# Class: MoneroMiningStatus

## MoneroMiningStatus()

Models daemon mining status.

## Constructor

#### new MoneroMiningStatus()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 4

### Methods

#### getAddress()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 27

#### getNumThreads()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 45

#### getSpeed()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 36

#### isActive()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 18

#### isBackground()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 54

#### setAddress()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 31

#### setIsActive()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 22

#### setIsBackground()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 58

#### setNumThreads()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 49

#### setSpeed()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 40

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroMiningStatus.js, line 14